YtrayClock history

| Date       | Version | Description
| ---------- | ------- | ------------------------------------------------------------------------------------------------------
| 2018.09.23 | 1.38    | **added** Settings where and whether to show weekday names and week numbers in popup calendar.
| 2018.09.06 | 1.37    | **added** Set font for calendar
|            |         | **added** Menu item for alarms (quick activation of options with Alarm tab opened)
|            |         | **added** Scale font in win 10.
|            |         | **fixed** Close popup menu (options/exit YTrayClock) on click somewhere outside of the menu
| 2018.08.30 | 1.36    | **added** Support for different monitors (auto change settings depending on monitor type/resolution)
|            |         | **added** Possibility to reset X/Y position of a cell.
|            |         | **fixed** Set DPI aware for options and 64 bit YTrayClock.
|            |         | **fixed** Showing Win10 auto-hidden taskbar on mouse move over YTrayClock
|            |         | **fixed** Win10 YTrayClock does not show itself to second auto-hiding taskbar (when switching "show taskbar on all displays" on/off)
| 2018.07.19 | 1.35.01 | **fixed** Options does not always switch settings when changing between different taskbar instances (win 10)
| 2018.07.05 | 1.35    | **added** Support for multiple taskbars (on multiple displays in win10)
|            |         | **added** Alarm expire seconds (optional)
|            |         | **added** Command line parameters: start and stop
| 2018.05.05 | 1.34    | **added** alarms
| 2018.03.20 | 1.33.01 | **fixed** A bug introduced in 1.33 (option replaces 1 with space, if program is configured to run on mouse click); remove string limit for program name and params
| 2018.03.20 | 1.33    | **fixed** Execution of customized commands which have space in their path
| 2018.02.28 | 1.32    | **added** Customization for AM/PM Caps/Num/Scroll On/Off strings; Configurable mouse
| 2018.02.17 | 1.31    | **added** Pressing Ctrl with a mouse will activate context menu (works as middle button, for those who doesn't have middle mouse button)
|            |         | **added** Custom color for clock items
| 2017.08.05 | 1.30.02 | **fixed** do not to show tooltip after clicking on clock
| 2017.08.01 | 1.30.01 | **fixed** tooltip position in XP and win 10
| 2017.07.29 | 1.30    | **changed** by default open internal calendar on right mouse click (for new installation only).
|            |         | **added** show system tool tip on mouse hover (win XP and win 7)
| 2017.06.17 | 1.29    | **added** forward mouse wheel messages from tray clock to internal calendar (so that mouse wheel will scroll calendar when using it over tray clock in win10); Bottom separator.
| 2017.03.14 | 1.28    | **added** alternate color for battery load (charging/not charging)
| 2017.02.13 | 1.27    | **fixed** seconds displayed correctly; **changed** show performance load bars without moving text (so they appear as background)
| 2017.02.12 | 1.26    | **added** show battery load
| 2017.01.15 | 1.25.05 | **fixed** now working under win10 Anniversary (aka win10.1)
| 2017.01.01 | 1.25.04 | **improved** better calculations for clock resize in horizontal taskbar if displayed string becomes bigger
| 2016.12.31 | 1.25.03 | **fixed** resize clock (in horizontal taskbar) if displayed string becomes bigger
| 2016.10.31 | 1.25.02 | **fixed** wrong calendar title when moving to next/prev month if current month has 31 days
| 2016.10.03 | 1.25.01 | **fixed** do not reset CPU load graphics on resize
| 2016.09.29 | 1.25    | **added** CPU load display
| 2016.09.26 | 1.24    | **fixed** Do not close on unexpected WM_COMMAND message
| 2016.07.24 | 1.23    | **added** Option to activate calendar on left or right mouse button (the other one will show the default OS calendar).
| 2015.08.23 | 1.22    | **improved** update immediate display of Caps/Num/Scroll lock keys if configured (before there were about 1 sec. delay).
| 2015.07.25 | 1.21    | **added** option for flat tray; Caps/Num/Scroll lock indicator; Open calendar for today if closed for some specified time
| 2015.04.23 | 1.20.4  | **added** addon support for horizontal taskbar
| 2014.11.05 | 1.20.3  | **fixed** misplaced spaces if not inside quotes
| 2014.10.30 | 1.20.2  | **fixed** switch off completely transparency in calendar in order to not have problems in win7 non Aero themes.
| 2014.10.17 | 1.20.1  | **added** UTc/local time syntax to format text: @{} = utc, @{.} = localtime
| 2014.10.16 | 1.20    | **added** Support for multiple timezones
| 2014.10.08 | 1.19.3  | **fixed** react on timezone changes (use correct time).
| 2014.03.16 | 1.19.2  | **added** support for integration with YTaskMgr
| 2014.03.14 | 1.19    | **added** support for mouse click on addons
| 2014.03.05 | 1.18    | **added** support for addons
| 2014.01.18 | 1.17.2  | **fixed** Options menu does not crash when removing line
| 2013.12.18 | 1.17.1  | **fixed** do not activate twice options dialog, just show it again and bring to foreground.
| 2013.09.15 | 1.17    | **added** menu on middle mouse click: exit or options
| 2013.09.12 | 1.16    | **added** graphic for memory load (optional)
| 2013.09.03 | 1.15    | **added** transparent TaskBar
| 2013.09.01 | 1.14    | **added** show windows Date/Time dialog on right mouse click
| 2013.09.01 | 1.13    | **added** support for negative values in above/below/left/right cells.
| 2013.08.26 | 1.12    | **added** memory load line (configurable)
| 2013.08.22 | 1.11.3  | **fixed** resize tray when moving taskbar (win 7 only problem)
| 2013.08.21 | 1.11.2  | **fixed** correct calculation of day when going from summer to winter time
| 2013.08.17 | 1.11.1  | **fixed** error when trying to remove YTrayClock registry key with subkeys.
| 2013.08.16 | 1.11    | **added** user interface to set options.
| 2013.06.13 | 1.10.4  | **fixed** show title on some win7 systems (perhaps with large font settings).
| 2013.06.12 | 1.10.3  | **fixed** fixed crash on some win7 installations.
| 2013.06.03 | 1.10.2  | **fixed** remove hideShowDesktop from registry if not in ini (before fixed - once set, never removed).
| 2013.05.27 | 1.10.1  | **fixed** correctly handle nlines in vertical configuration.
| 2013.05.18 | 1.10    | **improved** Configurable calendar title. Show calendar near to the clock. Names changed to YtrayClock32/64 (instead of XP/7)
| 2013.05.17 | 1.09    | **changed** stop running if explorer crashes more than 3 times in a row (means within 10 seconds).
|            |         | **fixed** dn calculation; using 'after' pixels in vertical taskbar.
|            |         | **fixed** Trick win7 to recalc size of window when button is removed
| 2013.05.16 | 1.08    | **added** Win 7: Show Desktop button is not just hidden, but removed completely (if option says so). Added horizontal/vertical settings.
| 2013.05.15 | 1.07    | **added** format specifier dn (day of week as digit)
| 2013.05.14 | 1.06    | **added** option to hide Show Desktop button (win 7) see ini file
| 2013.05.13 | 1.05.01 | **fixed** one pixel problem in Aero theme (win 7)
| 2013.05.12 | 1.05    | **improved** better handling of engrave/emboss/shadow on XP/7 theme
| 2013.05.11 | 1.04.01 | **fixed** font weight does not work when followed by ';'
| 2013.05.06 | 1.04    | **added** XP and win7 versions available
| 2013.04.27 | 1.03.03 | **fixed** If calendar dialog is outside of monitors (including if top is outside of visible area), put it in nearest center.
| 2013.04.03 | 1.03.02 | **fixed** If calendar dialog is outside of monitors, put it on primary.
| 2013.03.09 | 1.03.01 | **fixed** update clock on every minute (update was not on 00 seconds)
| 2013.03.09 | 1.03    | **added** option to make calendar dialog transparent
| 2013.03.07 | 1.02.03 | **fixed** calculate correctly week number if week starts with Sunday (again ISO, but use Monday for calculations)
| 2013.03.07 | 1.02.02 | **fixed** calculate correctly week numbers (ISO)
| 2013.03.05 | 1.02.01 | **fixed** calendar dialog created as unicode
| 2013.03.04 | 1.02    | **added** calendar dialog (activated with click on clock)
| 2013.03.02 | 1.01    | **added** quit/restart on explorer restart
| 2013.03.01 | 1.00    | **Released** First public release
